Raydium 3D Game Engine

Official forum for everything about Raydium, ManiaDrive, MeMak, ...
It is currently Tue Sep 26, 2017 9:24 am

All times are UTC




Post new topic Reply to topic  [ 7 posts ] 
Author Message
 Post subject: Linux Sdk ;o)
PostPosted: Fri Nov 06, 2009 3:15 pm 
Offline

Joined: Sun Oct 09, 2005 10:46 pm
Posts: 759
Hello,

Trying to install raydium on linux Ubuntu 9.10.

1) Installing ode return
[: 429 False unexpected error ]
Build process of ode run again and again ...
Long time to wait between to package updates due to php missing dependency.


2) Did Bison/lex/curl/xml2 dependency for php shouldn't be checked before ode / php compilation ?

3) For lex a message explicit that lex package is flex will be cool !!!

4) Idem for libcurl virtual packet ... (perhaps)?


At last even with all of this linux run fail.

I'll post console log asap.

Have a nice day.
Ouille


Top
 Profile  
 
 Post subject: Re: Linux Sdk ;o)
PostPosted: Fri Nov 06, 2009 10:56 pm 
Offline
User avatar

Joined: Sun Mar 16, 2003 2:53 am
Posts: 2590
Location: gnniiiii (Scrat)
Hi,

1) what PHP dependencies are you talking about ? what is this "429" error ? why ODE building is looping ?
2) bison/lex/curl/xml2 are tested before PHP building. Don't understand the trouble.
3) The error message talks about lex/flex.
4) libcurl virtual package ? Sounds like something specific to Ubuntu ...

To make it short, it sounds like it's the same story as the last time you posted about this.

IMHO, there's two options
a) you are using a very old release
b) something gone terribly wrong somewhere and I don't get it


You should check you version (do a simple "svn update", for instance) and post the full log (including your command lines) so we can sort this out.


Top
 Profile  
 
 Post subject: Re: Linux Sdk ;o)
PostPosted: Sat Nov 07, 2009 11:02 am 
Offline

Joined: Sun Oct 09, 2005 10:46 pm
Posts: 759
Hello,

Running ./configure

At ode point :
Error 429 appear, i don't know why it's only a message:
error [:429] or something like this.

At this time ode downloaded once again (but very fast as archive is already local)
And ode build is run again, and this pass is quite long.

After this long time compilation, php dependency are checked, if one is missing, i have to install 'apt-get ...' it and then re run ./configure
the trouble is at this time -> error 429 -> ode compile, which is quite long.
Checking thoses dependency before running Ode / Php build process can save lot's of time.

About lex: error message is something like: lex package missing for php, install lex.
Ok but lex package is named flex if i'm not wrong, and for a linux dummy it's quite hard to find, perhaps a message like install lex/flex is more explicit ?

For libcurl ok, and apt-get message is quite explicit, it was just a remarq.

Quote:
To make it short, it sounds like it's the same story as the last time you posted about this.

Do you mean i'm loosing my mind :(
You're probably right, but it's my commom linux install problem i found trying to install raydium on linux, but this time a take the lastest svn builds, and a fresh ubuntu 9.10.

Just try with virtual box, ubuntu install and then raydium install, for a linux new comer, not installing well known package for linux expert !

I'll post the full log soon, during this laps of time don't bother with this.

Have a nice day.
Ouille.


Top
 Profile  
 
 Post subject: Re: Linux Sdk ;o)
PostPosted: Sat Nov 07, 2009 11:18 am 
Offline
User avatar

Joined: Sun Mar 16, 2003 2:53 am
Posts: 2590
Location: gnniiiii (Scrat)
Something is wrong.

For instance, here's the current error message for lex (extracted from configure):
Code:
exit_if_error "$?" "lex not found in path. Please install lex/flex to compile PHP"

So if your error message was only complaining about lex, I'm lost.

Then comes the "order" thing. This order IS right :) The trouble for you is that something fails somewhere inside the ODE checking (and generate the "error 429" message, probably) and makes the compilation happens again. That is the trouble, not the fact we're checking PHP dependencies right before PHP compilation.

So, now, we must try to figure out what is causing this error 429. I'll try do download the "Koala" 9.10.


Top
 Profile  
 
 Post subject: Re: Linux Sdk ;o)
PostPosted: Sat Nov 07, 2009 1:19 pm 
Offline
User avatar

Joined: Sun Mar 16, 2003 2:53 am
Posts: 2590
Location: gnniiiii (Scrat)
This should be fixed in rev 914, where I changed the shebang (language "declarator" in the header of a script) from "sh" to "bash". Ubuntu is using dash (instead of bash for some other distro) which is more "strict" about syntax.


Top
 Profile  
 
 Post subject: Re: Linux Sdk ;o)
PostPosted: Sat Nov 07, 2009 2:30 pm 
Offline

Joined: Sun Oct 09, 2005 10:46 pm
Posts: 759
Hello,

Ode error is fixed in last svn version.

I have a version problem you're right. I made a mistake somewhere, i though i work on last nightly build.

Raydium run in a ubuntu virtual box linux guest but only 10fps ... it's good enough for tests !

Have a nice day
Ouille.


Top
 Profile  
 
 Post subject: Re: Linux Sdk ;o)
PostPosted: Mon Jan 25, 2010 6:34 pm 
Offline

Joined: Mon Jan 25, 2010 6:31 pm
Posts: 1
sorry to answer an old post (well not so old).

I am using Kubuntu 9.1, its very similar to Ubuntu 9.1 and I came with the same error

You should install all dependencies as wiki and this one

sudo apt-get install libcurl4-gnutls-dev


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 7 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 5 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group